@extends('layouts.app')

@section('content')

<h1 class="text-center">{{ $label }}</h1>
<div style="width: 100%; height: 800px" id="svg-container">
</div>

<div class="text-muted bottom-right">
    Reload in <span id="reload-countdown">300</span> seconds
</div>

<script type="text/javascript">
    window.addEventListener('DOMContentLoaded', function() {
        var reload_countdown = 300;
        setInterval(function() {
            reload_countdown -= 1;
            $('#reload-countdown').text(reload_countdown);

            if (reload_countdown === 0) {
                console.log('reload...');
                location.reload();
            }
        }, 1000);
    });
</script>

<script>
    window.addEventListener('DOMContentLoaded', function() {
        var container = document.getElementById("svg-container");
        var label = "{{ $label }}";
        drawBubbleGraph(label, container);
        @include('scripts.bubble-script')
    });
</script>
@endsection